Zonder KYC — geen ID, selfie of documenten. Betaal met crypto.
Taal: Nederlands
Kies 1 GB

API-referentie

Mobiele poorten en IP-rotatie

Speciale 4G/5G-poorten: wijzig het IP-adres direct of volgens een timer, gebruik de rotatielink en bekijk het dagelijkse dataverbruik.

8 min leestijd

Eindpunten op deze pagina

  • GET /v1/mobile: Mobiele poorten weergeven
  • GET /v1/mobile/{portId}: Een mobiele poort ophalen
  • PATCH /v1/mobile/{portId}: Naam wijzigen, automatisch verlengen in- of uitschakelen of automatische rotatie instellen
  • POST /v1/mobile/{portId}/rotate: Het IP-adres nu wijzigen
  • GET /v1/mobile/{portId}/rotate: Rotatielink (GET met API-sleutel in de querystring)
  • POST /v1/mobile/{portId}/reset-password: Een nieuw proxywachtwoord voor de poort genereren
  • GET /v1/mobile/{portId}/usage: Dagelijks dataverbruik via de poort (ter informatie: onbeperkte data, onder fair use)
  • GET /v1/catalog/countries/{countryCode}/carriers: Mobiele providers met beschikbare 4G/5G-poorten in een land

Basis-URL https://localserpproxy.com/api/v1. Authenticatie, fouten en limieten: zie het API-overzicht.

Mobiele poorten weergeven

GET/v1/mobile

Authenticatie: API-sleutel in de Authorization: Bearer API_KEY-header.

Response 200 OK

{
  "data": [
    {
      "id": "mob_2v8k1q",
      "label": "US Verizon #1",
      "status": "active",
      "country": "US",
      "city": null,
      "carrier": "verizon",
      "carrierName": "Verizon",
      "networkType": "4G",
      "currentIp": "203.0.113.201",
      "ipChangedAt": "2026-10-05T14:03:11Z",
      "endpoint": {
        "host": "gw.localserpproxy.com",
        "httpPort": 7777,
        "socksPort": 7778
      },
      "username": "USERNAME",
      "password": "PASSWORD",
      "rotation": {
        "mode": "interval",
        "intervalMinutes": 10
      },
      "minRotationIntervalSeconds": 30,
      "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
      "planId": "mob-us-30d",
      "autoRenew": false,
      "createdAt": "2026-10-05T14:03:11Z",
      "expiresAt": "2026-11-04T14:03:11Z"
    }
  ]
}

Codevoorbeelden

curl
curl -s "https://localserpproxy.com/api/v1/mobile" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Een mobiele poort aanvragen

GET/v1/mobile/{portId}

Authenticatie: API-sleutel in de Authorization: Bearer API_KEY-header.

Parameters

NaamInTypeVerplichtBeschrijving
portIdpathstringJa—

Response 200 OK

{
  "id": "mob_2v8k1q",
  "label": "US Verizon #1",
  "status": "active",
  "country": "US",
  "city": null,
  "carrier": "verizon",
  "carrierName": "Verizon",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-us-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Codevoorbeelden

curl
curl -s "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile/mob_2v8k1q", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

De naam wijzigen, automatisch verlengen in- of uitschakelen of automatische IP-wisseling instellen

PATCH/v1/mobile/{portId}

Wijzig de naam van de poort, schakel automatisch verlengen in of uit, of stel een timer voor automatische IP-wisseling in van elke 2 minuten tot elke 24 uur: "rotation": { "mode": "interval", "intervalMinutes": 10 } (2–1440 minuten); met "mode": "manual" schakel je dit uit. Anders behoudt je poort zijn IP totdat je dit zelf wijzigt, al kan de provider het af en toe zelf veranderen.

Authenticatie: API-sleutel in de Authorization: Bearer API_KEY-header.

Parameters

NaamInTypeVerplichtBeschrijving
portIdpathstringJa—

Requestbody

VeldTypeVerplichtBeschrijving
labelstringNeemax. 60 tekens
autoRenewbooleanNee—
rotationobjectNeeTimer voor automatische IP-wisseling: { "mode": "interval", "intervalMinutes": 2–1440 } (elke 2 minuten tot elke 24 uur), of { "mode": "manual", "intervalMinutes": null } om alleen op aanvraag van IP te wisselen.
Voorbeeld: Automatisch wisselen
{
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  }
}
Voorbeeld: Handmatig
{
  "rotation": {
    "mode": "manual",
    "intervalMinutes": null
  }
}

Response 200 OK

{
  "id": "mob_2v8k1q",
  "label": "US Verizon #1",
  "status": "active",
  "country": "US",
  "city": null,
  "carrier": "verizon",
  "carrierName": "Verizon",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-us-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Codevoorbeelden

curl
curl -s -X PATCH "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"rotation":{"mode":"interval","intervalMinutes":10}}'
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/mobile/mob_2v8k1q", headers=HEADERS, json={"rotation": {"mode": "interval", "intervalMinutes": 10}}, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ rotation: { mode: 'interval', intervalMinutes: 10 } }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

IP nu wijzigen

POST/v1/mobile/{portId}/rotate

Bij elke IP-wisseling maakt je poort opnieuw verbinding met de provider om een nieuw IP te krijgen. Dit duurt meestal 5–15 seconden. Soms geeft de provider hetzelfde IP opnieuw uit: wissel dan nog een keer. Maximaal één keer per 30 seconden per poort (minRotationIntervalSeconds): wordt een IP-wisseling te snel aangevraagd, dan krijg je 429 rotation_too_soon met Retry-After (het aantal seconden dat je moet wachten).

Authenticatie: API-sleutel in de Authorization: Bearer API_KEY-header.

Parameters

NaamInTypeVerplichtBeschrijving
portIdpathstringJa—

Response 200 OK

{
  "ip": "203.0.113.201",
  "previousIp": "203.0.113.77",
  "rotatedAt": "2026-10-05T14:03:11Z",
  "nextRotationAvailableAt": "2026-10-05T14:03:41Z"
}

Codevoorbeelden

curl
curl -s -X POST "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/mobile/mob_2v8k1q/rotate", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/rotate`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

GET/v1/mobile/{portId}/rotate

Hetzelfde als POST, voor scripts en bladwijzers: GET https://localserpproxy.com/api/v1/mobile/{portId}/rotate?key=API_KEY. De sleutel moet de scope proxies hebben. format=text geeft het nieuwe IP terug als text/plain.

Authenticatie: API-sleutel in de key-queryparameter (scope proxies), zodat de link vanuit een bladwijzer werkt.

Parameters

NaamInTypeVerplichtBeschrijving
keyquerystringJaJe API-sleutel (scope proxies).
portIdpathstringJa—
formatqueryjson · textNeestandaard json

Response 200 OK

{
  "ip": "203.0.113.201",
  "previousIp": "203.0.113.77",
  "rotatedAt": "2026-10-05T14:03:11Z",
  "nextRotationAvailableAt": "2026-10-05T14:03:41Z"
}

Codevoorbeelden

Genereer een nieuw proxypoortwachtwoord

POST/v1/mobile/{portId}/reset-password

Authenticatie: API-sleutel in de Authorization: Bearer API_KEY-header.

Parameters

NaamInTypeVerplichtBeschrijving
portIdpathstringJa—

Response 200 OK

{
  "id": "mob_2v8k1q",
  "label": "US Verizon #1",
  "status": "active",
  "country": "US",
  "city": null,
  "carrier": "verizon",
  "carrierName": "Verizon",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-us-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Codevoorbeelden

curl
curl -s -X POST "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/reset-password" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/mobile/mob_2v8k1q/reset-password", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/reset-password`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Dagelijks dataverbruik via de poort (ter informatie: onbeperkte data, onder fair use)

GET/v1/mobile/{portId}/usage

Alleen ter informatie. Onbeperkte data op je eigen poort, onder fair use: de provider kan het gebruik bij zeer intensief verkeer vertragen of tijdelijk onderbreken.

Authenticatie: API-sleutel in de Authorization: Bearer API_KEY-header.

Parameters

NaamInTypeVerplichtBeschrijving
portIdpathstringJa—
fromquerystring (date)NeeEerste dag (UTC), inclusief. Standaard = 29 dagen vóór to.
toquerystring (date)NeeLaatste dag (UTC), inclusief. Standaard = vandaag. Maximale periode: 366 dagen.

Response 200 OK

{
  "from": "2026-10-04",
  "to": "2026-10-05",
  "totalBytes": 2350000000,
  "totalRequests": 48210,
  "points": [
    {
      "date": "2026-10-04",
      "bytes": 1200000000,
      "requests": 24800
    },
    {
      "date": "2026-10-05",
      "bytes": 1150000000,
      "requests": 23410
    }
  ],
  "byCountry": [
    {
      "country": "US",
      "bytes": 2350000000
    }
  ]
}

Codevoorbeelden

curl
curl -s "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/usage" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile/mob_2v8k1q/usage", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/usage`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Mobiele providers met beschikbare 4G/5G-poorten in een land

GET/v1/catalog/countries/{countryCode}/carriers

Openbaar: geen API-sleutel nodig.

Parameters

NaamInTypeVerplichtBeschrijving
countryCodepathstringJaISO 3166-1 alpha-2, in hoofdletters.

Response 200 OK

{
  "data": [
    {
      "id": "verizon",
      "name": "Verizon",
      "networkTypes": [
        "4G",
        "5G"
      ],
      "available": true,
      "cities": []
    }
  ]
}

Codevoorbeelden

curl
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/carriers"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/carriers", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/carriers`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

1 GB US$ 1,50 · zonder KYC

Bekijk de prijzen